apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: mqtt-metrics
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    ingress.pomerium.io/pass_identity_headers: "true"
    ingress.pomerium.io/preserve_host_header: "true"
    ingress.pomerium.io/allow_websockets: "true"
    ingress.pomerium.io/allow_public_unauthenticated_access: "false"
    ingress.pomerium.io/policy: |
      allow:
        or: 
          - { email: { is: "drewpca@gmail.com" }}
          - { email: { is: "kelsimp@gmail.com" }}
spec:
  ingressClassName: pomerium
  rules:
    - host: "bigasterisk.com"
      http:
        paths:
          - pathType: Prefix
            path: /mqtt-metrics/
            backend: { service: { name: mqtt-metrics, port: { number: 80 } } }
  tls:
    - hosts: [bigasterisk.com]
      secretName: bigasterisk.com-tls
